ASTSCRIPT-RADIAL-PROFILE(1)

NAME
astscript-radial-profile - Create a radial profile of an object in an image

SYNOPSIS
astscript-radial-profile [OPTION] FITS-files

DESCRIPTION
This script is part of GNU Astronomy Utilities 0.18.

This script will consider the input image for constructing the radial profile around a given center with elliptical apertures.

For more information, please run any of the following commands. In particular the first contains a very comprehensive explanation of this script's invocation: expected input(s), output(s), and a full description of all the options.

Inputs/Outputs and options:
    $ info astscript-radial-profile

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

  astscript-radial-profile options:

    Input:

-h, --hdu=STR
    HDU/extension of all input FITS files.

-O, --mode=STR
    Coordinate mode: img or wcs.

-c, --center=FLT,FLT
    Coordinate of the center along 2 axes.

-R, --rmax=FLT
    Maximum radius for the radial profile (in pixels).

-Q, --axisratio=FLT
    Axis ratio for ellipse profiles (A/B).

-a, --azimuth=FLT,FLT
    Azimuthal angles range (from the major axis).

-p, --positionangle=FLT Position angle for ellipse profiles.

-s, --sigmaclip=FLT,FLT Sigma-clip multiple and tolerance.

-z, --zeropoint=FLT
    Zeropoint magnitude of input dataset.

    Output:

-o, --output
    Output table with the radial profile.

-t, --tmpdir
    Directory to keep temporary files.

-k, --keeptmp
    Keep temporal/auxiliar files.

-m, --measure=STR
    Measurement operator (mean, sigclip-mean, etc.).

-v, --oversample
    Oversample for higher resolution radial profile.

-u, --undersample=INT
    Undersample for lower resolution radial profile.

-i, --instd=FLT/STR
    Sky standard deviation per pixel, as a single number or as the filename.

-d, --stdhdu=STR
    HDU/extension of the sky standard deviation image.

    Operating mode:

-?, --help
    Print this help list.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

-Z, --zeroisnotblank
    0.0 in float or double images are not blank.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2020-2022 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Raul Infante-Sainz

SEE ALSO
The full documentation for astscript-radial-profile is maintained as a Texinfo manual. If the info and astscript-radial-profile programs are properly installed at your site, the command

    info astscript-radial-profile

should give you access to the complete manual.